/*--------------------------------------------------------------------------------*
 *                                                                                *
 * CodecPro Incorporated                                                          *
 * 905-2160 Terry-Fox                                                             *
 * Laval (Quebec)                                                                 *
 * Canada, H7T 3B7                                                                *
 *                                                                                *
 * support@codecpro.com                                                           *
 * www.codecpro.com                                                               *
 *                                                                                *
 * This material is subject to continuous developments and improvements. All      *
 * warranties implied or expressed, including but not limited to, implied         *
 * warranties of merchantability, fitness for purpose, condition of title,        *
 * noninfringement, are excluded. In no event shall CodecPro Incorporated and its *
 * suppliers be liable for any special, indirect or consequential damages or any  *
 * damages whatsoever arising out of or in connection with the use of this        *
 * information. The foregoing disclaimer shall apply to the maximum extent        *
 * permitted by applicable law, even if any remedy fails its essential purpose.   *
 *--------------------------------------------------------------------------------*/

//--------------------------------------------------------------------------------;
//  These are system or OS dependent functions.
//--------------------------------------------------------------------------------;

#ifndef _OS_DEPEND_F
#define _OS_DEPEND_F
#include <stdlib.h>
#include <stdio.h>
#include <memory.h> 
#include "typedef.h"

#ifdef __cplusplus
#define CODEC_CPP_CONV extern "C"
#else
#define CODEC_CPP_CONV 
#endif


#ifdef __cplusplus
extern "C" {
#endif

CODEC_CPP_CONV void codecLib_printf(    CHAR * , ...);
CODEC_CPP_CONV void *codecLib_malloc(size_t n);
CODEC_CPP_CONV void *codecLib_memcpy(void *ptr1, const void *ptr2, size_t n);

// it is useful to disable the following only with shared libraries. Otherwise it defeats
// the purpose when delivering static libraries.
#if 1
CODEC_CPP_CONV void codecLib_free(void* ptr);
CODEC_CPP_CONV void *codecLib_memmove(void *ptr1, const void *ptr2, size_t n);
CODEC_CPP_CONV void *codecLib_memset(void *, int, size_t);
CODEC_CPP_CONV void *codecLib_calloc(size_t n, size_t t);
#else
#define codecLib_free free
#define codecLib_memmove memmove
#define codecLib_memset memset
#define codecLib_calloc calloc
#endif
#ifdef __cplusplus
}
#endif

#endif //_OS_DEPEND_F
