/*--------------------------------------------------------------------------------*
 *                                                                                *
 * CodecPro Incorporated                                                          *
 * 905-2160 Terry-Fox                                                             *
 * Laval (Quebec)                                                                 *
 * Canada, H7T 3B7                                                                *
 *                                                                                *
 * support@codecpro.com                                                           *
 * www.codecpro.com                                                               *
 *                                                                                *
 * This material is subject to continuous developments and improvements. All      *
 * warranties implied or expressed, including but not limited to, implied         *
 * warranties of merchantability, fitness for purpose, condition of title,        *
 * noninfringement, are excluded. In no event shall CodecPro Incorporated and its *
 * suppliers be liable for any special, indirect or consequential damages or any  *
 * damages whatsoever arising out of or in connection with the use of this        *
 * information. The foregoing disclaimer shall apply to the maximum extent        *
 * permitted by applicable law, even if any remedy fails its essential purpose.   *
 *--------------------------------------------------------------------------------*/

/*=================================================================================
    EVS Codec 3GPP TS26.442 (see disclaimer.h for version number)
 =================================================================================*/

#ifndef IO_DEC_H
#define IO_DEC_H

#include <stdio.h>
#include "typedef.h"
#include "evs_if.h"

Word32 io_ini_dec(
    const Word32 argc,              /* i  : command line arguments number             */
    char* argv[],                   /* i  : command line arguments                    */
    FILE **f_stream,                /* o  : input bitstream file                      */
    FILE **f_synth,                 /* o  : output synthesis file                     */
    Word16 *quietMode,              /* o  : limited printouts                         */
    Word16 *noDelayCmp,             /* o  : turn off delay compensation               */
    Word16 *Opt_VOIP,
    Word32 *output_Fs,
    Word16 *bitstreamformat,
    Word16 *amrwb_rfc4867_flag,
    Word16 *sdp_hf_only
);

Word16 decodeVoipMime(
    void *hDecState,
    void *hDecScratch,
    evs_decoderOption *decoderOption,
    FILE *f_stream,
    FILE *f_synth,
    Word16 sdp_hf_only,
    const Word16 quietMode,
    const Word16 noDelayCmp
);

#endif /*IO_DEC_H */
