/*--------------------------------------------------------------------------------*
 *                                                                                *
 * CodecPro Incorporated                                                          *
 * 905-2160 Terry-Fox                                                             *
 * Laval (Quebec)                                                                 *
 * Canada, H7T 3B7                                                                *
 *                                                                                *
 * support@codecpro.com                                                           *
 * www.codecpro.com                                                               *
 *                                                                                *
 * This material is subject to continuous developments and improvements. All      *
 * warranties implied or expressed, including but not limited to, implied         *
 * warranties of merchantability, fitness for purpose, condition of title,        *
 * noninfringement, are excluded. In no event shall CodecPro Incorporated and its *
 * suppliers be liable for any special, indirect or consequential damages or any  *
 * damages whatsoever arising out of or in connection with the use of this        *
 * information. The foregoing disclaimer shall apply to the maximum extent        *
 * permitted by applicable law, even if any remedy fails its essential purpose.   *
 *--------------------------------------------------------------------------------*/

/*=================================================================================
      EVS Codec 3GPP TS26.442 (see disclaimer.h for version number)
 =================================================================================*/

#ifndef IO_ENC_H
#define IO_ENC_H

#include <stdio.h>
#include "typedef.h"

Word32 io_ini_enc(
    const Word32   argc,                /* i  : command line arguments number             */
    char  *argv[],             /* i  : command line arguments                    */
    FILE  **f_input,           /* o  : input signal file                         */
    FILE  **f_stream,          /* o  : output bitstream file                     */
    Word16 *quietMode,         /* o  : limit printouts                           */
    Word16 *noDelayCmp,        /* o  : turn off delay compensation               */
    Word32 *input_Fs,
    Word32 *total_brate,       // total bitrate in kbps of the codec
    Word16 *bitstreamformat,   // Bitstream format flag (G192(0) or MIME(1))
    Word16 *Opt_DTX_ON,        // flag indicating DTX operation
    Word16 *Opt_RF_ON,
    Word16 *rf_fec_offset,
    Word16 *rf_fec_indicator,
    Word16 *max_bwidth,        // maximum encoded bandwidth
    Word16 *interval_SID       // CNG and DTX - interval of SID update
);

Word32 read_next_rfparam(
    Word16* rf_fec_offset,    /* o: rf offset                         */
    Word16* rf_fec_indicator, /* o: rf FEC indicator                  */
    FILE* f_rf                /* i: file pointer to read parameters   */
);

Word32 read_next_brate(
    Word32  *total_brate,                     /* i/o: total bitrate                             */
    FILE  *f_rate                          /* i  : bitrate switching profile (0 if N/A)      */
);


Word32 read_next_bwidth(
    Word16  *max_bwidth,            /* i/o: maximum encoded bandwidth                 */
    FILE    *f_bwidth,              /* i  : bandwidth switching profile (0 if N/A)    */
    Word32  *bwidth_profile_cnt,    /* i/o: counter of frames for bandwidth switching profile file */
    Word32   input_Fs               /* i  : input sampling frequency                  */
);

#endif /*IO_ENC_H */
